import { Story, Canvas, Meta, Description } from "@storybook/addon-docs/blocks";
import { html } from "lit-html";
import CATEGORIES from "../categories";

<Meta title={CATEGORIES.STATIC + "Eyecatcher"} />

# Eyecatcher

A small highlighting overlay element for images or sliders.

<Canvas
    mdxSource={`
        <div class="ui-eyecatcher">
            <div class="ui-eyecatcher__content">
                <span class="ui-text-title ui-text-title--light">Eyecatcher</span>
            </div>
            <div class="ui-eyecatcher__arrow"></div>
        </div>
    `}
>
    <Story name="Eyecatcher" height="150px">
        {html`
            <div class="ui-eyecatcher">
                <div class="ui-eyecatcher__content">
                    <span class="ui-text-title ui-text-title--light"
                        >Eyecatcher</span
                    >
                </div>
                <div class="ui-eyecatcher__arrow"></div>
            </div>
        `}
    </Story>
</Canvas>

## Eyecatcher blue

<Canvas>
    <Story name="Eyecatcher blue" height="150px">
        {html`
            <div class="ui-eyecatcher ui-eyecatcher--blue">
                <div class="ui-eyecatcher__content">
                    <span class="ui-text-title ui-text-title--light"
                        >Eyecatcher</span
                    >
                </div>
                <div class="ui-eyecatcher__arrow"></div>
            </div>
        `}
    </Story>
</Canvas>

## Eyecatcher bold

<Canvas>
    <Story name="Eyecatcher bold" height="150px">
        {html`
            <div class="ui-eyecatcher ui-eyecatcher--bold">
                <div class="ui-eyecatcher__content">
                    <span class="ui-text-title">Eyecatcher</span>
                </div>
                <div class="ui-eyecatcher__arrow"></div>
            </div>
        `}
    </Story>
</Canvas>

## Eyecatcher round

<Canvas>
    <Story name="Eyecatcher round" height="150px">
        {html`
            <div class="ui-eyecatcher ui-eyecatcher--round">
                <div class="ui-eyecatcher__content">
                    <span class="ui-text-title">Eyecatcher</span>
                </div>
            </div>
        `}
    </Story>
</Canvas>
